Skip to main content
POST
/
api
/
v1
/
iam
/
tunnel
/
bridges
/
{bridge_id}
/
credentials
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.tunnelCredentials.createBridgeCredential({
    bridgeId: "<id>",
  });

  console.log(result);
}

run();
{
  "credential": {
    "bridgeId": "<string>",
    "clientId": "<string>",
    "clientSecret": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "expiresTime": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "lastUsedAt": "2023-11-07T05:31:56Z",
    "revokedAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

bridge_id
string
required

The bridge to mint a credential for.

Body

application/json

The TunnelCredentialsServiceCreateBridgeCredentialRequest message.

Response

200 - application/json

Successful response

The TunnelCredentialsServiceCreateBridgeCredentialResponse message.

credential
Tunnel Credential · object

TunnelCredential is the API view of one OAuth credential within a bridge. The plaintext client_secret is only populated on the CreateBridgeCredential response.